Subject: [bug#31213] [PATCH] gnu: gst-plugins-base: Disable tests that create network

From: Marius Bakke <[email-masked]>
Date: Thu, 19 Apr 2018 18:11:14 +0200

Roel Janssen <[email-masked]> writes:

> Dear Guix,
>
> The build for gst-plugins-base is failing, breaking the builds of quite
> a few dependent packages.  The attached patch disables the two tests
> that are failing.

I cannot reproduce this failure, and on Hydra everything is fine:

https://hydra.gnu.org/job/gnu/master/gst-plugins-base-1.12.4.x86_64-linux

Strange that it fails on your machine, it suggests some "impurity" in
the build environment.  Can you try to figure out why it does not work?

> It seems that both tests attempt to set-up or connect to a TCP socket on
> "localhost".  Would this work in the build environment?

TCP sockets on localhost are normally fine, as long as they don't use
getaddrinfo() (I've been thinking about adding support for that).